/* Generics | The main body */

*{
    margin: 0px;
    padding: 0px;
    font-family:"Orbitron", sans-serif;
    font-weight:400;
    color:#EBEBEB;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_1.cur")5 5, auto;
}

img {
    -webkit-user-drag: none;
    -moz-user-drag: none;
    -ms-user-drag: none;
    user-select: none;
    pointer-events: none;
}

a {
    text-decoration: none;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_2.cur") 5 5, auto;
}

::selection {
  color: #111010;
  background: #EBEBEB;
}

input::selection {
    color: #EBEBEB;
    background-color: #111010;
}

::-webkit-scrollbar {
  width: 10px;
}

::-webkit-scrollbar-track {
  background: #111010;
}

::-webkit-scrollbar-thumb {
  background: #EBEBEB;
  border-radius: 0px;
}

::-webkit-scrollbar-thumb:hover {
  background: #EBEBEB;
}

/* h6 is reserved for black text in white background */

h6{
    color: #111010;
}

h6::selection {
  color: #EBEBEB;
  background: #111010;
}


body{
    background-color: #111010;
}

#Home_main{
    background-color: #111010;
}

#main_border{
    border: 3px #EBEBEB solid;
    margin-inline: 2%;
    margin-top: 3vh;
    width: 96%;
}

/* Navbar style */

#navbar{
    border-bottom: 3px #EBEBEB solid;
    height: 10vh;
    min-height: 40px;
    display: grid;
    grid-template-columns: 10vh 1fr 3fr 10vh;
}

/* Navbar exception media query */
@media (max-height:400px) {
    #navbar{
        grid-template-columns: 40px 1fr 3fr 40px;
    }
}

#Logo_container{
    border-right: #EBEBEB 3px solid;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    min-width: 40px;
    min-height: 40px;
}

#Logo_container a{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 70%;
    width: 70%;
}

#Logo_container img{
    width: 100%;
    height: auto;
}

#Title_container{
    border-right: #EBEBEB 3px solid;
    display: flex;
    justify-content: center;
    align-items: center;
}

#Title_container h1{
    font-size: 1.7vw;
}

#Links_container{
    border-right: #EBEBEB 3px solid;
    display: flex;
    justify-content: space-around;
    align-items: center;
}

#Links_container a{
    font-size: 1.5vw;
}

#Qr_container{
    display: flex;
    justify-content: center;
    align-items: center;
    min-width: 40px;
    min-height: 40px;
}

#Qr_container img{
    height: 90%;
    width: 90%;
}

#Menu_container{
    display: none;
}

/* Portfolio intro section styles */

#portfolio_intro{
    display: grid;
    padding: 4%;
    margin-bottom: 20vh;
}

#upper_division{
    display: flex;
    justify-content: space-between;
    align-items: start;
}

#upper_division img{
    width: 40vw;
}

#upper_division_description h1{
    font-size: 3.3vw;
    width: 45vw;
    margin-bottom: 2rem;
}

#upper_division_description h2{
    font-size: 1.4vw;
    width: 45vw;
    font-weight: 100;
    font-family: "Space grotesk", sans-serif;
}

#lower_division{
    display: flex;
    justify-content: space-between;
    align-items: start;
}

#carpet_container{
    width: 45vw;
    display: flex;  
    justify-content: center;
    align-items: center;
}

#carpet_container img{
    width: 90%;
}

#lower_division_description{
    width: 40vw;
}

#lower_division_description h1{
    font-size: 2.8vw;
    margin-top: 3rem;
}

#lower_division_description h2{
    font-size: 1.2vw;
    font-weight: 100;
    font-family: "Space grotesk", sans-serif;
    margin-top: 2rem;
}


/* Portfolio menu section styles */

#portfolio_menu{
    display: grid;
    margin-bottom: 20vh;
    overflow-x: hidden;
}

#menu_title{
    margin-inline: 3rem;
    width: 50%;
}

#menu_title h2{
    font-size: 1vw;
    text-align: end;
    width: 100%;
    font-family: "Space grotesk", sans-serif;
    font-weight: 100;
}

#menu_title h1{
    width: 100%;
    font-size: 2.7vw;
}

#table_slider{
    width: 100%;
    height: 70px;
    overflow: hidden;
    margin-top: 15vh;
    border-top: 1px #EBEBEB solid;
    border-bottom: 1px #EBEBEB solid;
    display: flex;
    align-items: center;
}

#table_slider_track{
    display: flex;
    width: max-content;
    animation: scrollLeft 3s linear infinite;
}

#table_slider_item{
    display: flex;
    align-items: center;
    margin-right: 15vw;
    gap: 2vw;
}

#table_slider_item img{
    width: 40px;
    white-space: nowrap;
}

#table_slider_item h1{
    font-family: "Pixelify sans", sans-serif;
    font-size: 2.7vw;
    white-space: nowrap;
}

/* Infinite scrolling animation */
@keyframes scrollLeft{
    from{
        transform: translateX(0);
    }
    to{
        transform: translateX(-50%);
    }
}

#menu_body_row{
    height: 70px;
    width: 100%;
    border-bottom: 1px #EBEBEB solid;
    display: grid;
    grid-template-columns: 3fr 4fr 2fr;
}

#menu_body_row div{
    border-right: 1px #EBEBEB solid;
}

#row_cell1{
    padding-left: 5vw;
    display: flex;
    justify-content: start;
    align-items: center;
}

#row_cell1 h1{
    font-size: 1.7vw;
}

#row_cell2{
    padding-left: 5vw;
    display: flex;
    justify-content: start;
    align-items: center;
}

#row_cell2 h2{
    font-size: 1vw;
    font-family: "Space grotesk", sans-serif;
    font-weight: 100;
}

#row_cell3{
    display: flex;
    justify-content: center;
    align-items: center;
}

#row_cell3 a{
    display: flex;
    justify-content: center;
    align-items: center;
}

#row_cell3 img{
    width: 100%;
}

#row_cell1_p{
    padding-left: 5vw;
    display: flex;
    justify-content: start;
    align-items: center;
}

#row_cell1_p h1{
    color: #9370DB;
    font-size: 1.7vw;
}

#row_cell2_p{
    padding-left: 5vw;
    display: flex;
    justify-content: start;
    align-items: center;
}

#row_cell2_p h2{
    color: #9370DB;
    font-size: 1vw;
    font-family: "Space grotesk", sans-serif;
    font-weight: 100;
}

/* Portfolio footer section styles */

#Portfolio_footer{
    height: 70vh;
    min-height: 600px;
    width: 100%;
    margin-bottom: 10vw;
    margin-top: 15vw;
    background-image: url(../Assets/Portfolio/moroquint_tunnel.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    padding-bottom: 5rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

 #portfolio_cta_container{
    border: 3px #9370DB solid;
    padding: 2vw;
    width: 50vw;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: end;
 }

 #portfolio_cta_container h1{
    font-size: 1.5vw;
 }

 #portfolio_cta_container a{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 2rem;
 }

 #portfolio_cta{
    font-size: 20px;
    width: 225px;
    height: 50px;
    text-align: center;
    text-decoration: none;
    background-color: #EBEBEB;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_2.cur") 5 5, auto;
 }

 #portfolio_cta h6{
    text-align: center;
    text-decoration: none;
    font-size: 15px;
    font-weight: 500;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_2.cur") 5 5, auto;
 }

/* Footer section styles */

#Footer_section{
    display: grid;
}

#Copyright_section{
    margin-top: 1vh;
    margin-bottom: 10px;
    padding-inline: 2rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#Copyright_text h1{
    font-size: 1vw;
}

#Copyright_text div{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#Copyright_text h2{
    color: #9370DB;
    font-size: 1vw;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_2.cur")0 0, pointer;
}

#footer_logo{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#footer_logo img{
    height: 40px;
    margin-right: 1vw;
}

#footer_logo h1{
    font-size: 1.3vw;
    font-weight: 500;
}

















/* Style for Screens between 1500px width & 1100px width */

@media (max-width:1500px) {

/* Generics | The main body */

#main_border{
    border: 2px #EBEBEB solid;
}

/* Navbar style */


#navbar{
    border-bottom: #EBEBEB 2px solid;
}
#Links_container{
    border-right: #EBEBEB 2px solid;
}
}










/* Style for Screens between 1100px width & 800px width */

@media (max-width:1100px) {

/* Generics | The main body */

#main_border{
    border: 1px #EBEBEB solid;
}

/* Navbar style */


#navbar{
    border-bottom: 1px #EBEBEB solid;
}

#Logo_container{
    border-right: 1px #EBEBEB solid;
}

#Title_container{
    border-right: 1px #EBEBEB solid;
}

#Links_container{
    border-right: #EBEBEB 1px solid;
}


/* Portfolio menu section styles */

#table_slider_item h1{
    font-size: 2.7vw;
}

#row_cell1{
    padding-left: 2vw;
}

#row_cell1 h1{
    font-size: 2.5vw;
}

#row_cell2{
    padding-left: 2vw;
}

#row_cell2 h2{
    font-size: 1.4vw;
}

#row_cell3 img{
    width: 80%;
}

#row_cell1_p{
    padding-left: 2vw;
}

#row_cell1_p h1{
    font-size: 2.5vw;
}

#row_cell2_p{
    padding-left: 2vw;
}

#row_cell2_p h2{
    font-size: 1.4vw;
}

}











/* Style for Screens under 800px width */

@media (max-width:800px) {

/* Navbar style */

#navbar{
    border-bottom: 1px #EBEBEB solid;
    height: 7vh;
    min-height: 40px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#Logo_container{
    height: 7vh;
    width: 7vh;
    min-height: 40px;
    min-width: 40px;
}

#Logo_container img{
    height: 100%;
    width: 100%;
}

#Title_container{
    border: 0px;
}

#Title_container h1{
    font-size: 4vw;
}

#Links_container{
    display: none;
}

#Qr_container{
    display: none;
}

#Menu_container{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 7vh;
    width: 7vh;
    min-height: 40px;
    min-width: 40px;
    border-left: 1px #EBEBEB solid;
    z-index: 100;
}

.hidden-menu {
    background-color: #111010;
    border-left: 1px solid #EBEBEB;
    background-image: url(../Assets/Home/PNGs/Amazigh_script.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 100vh;
    width: 100%;
    max-width: 450px;
    position: fixed;
    top: 0;
    right: -450px;
    display: flex;
    flex-direction: column;
    align-items: center;    
    justify-content: center;
    gap: 10vh;
    text-align: center;
    font-size: 3rem;
    transition: .6s ease;
}

.hidden-menu-link {
    display: flex;
    justify-content: center;
    align-items: center;
}

.hidden-menu.active {
    right: 0;
}

.hidden-menu a{
    font-size: 5vw;
}

.hidden-menu.active a{
    font-size: 5vw;
}

.menu-button {
    height: 100%;
    width: 100%;
    margin-left: auto;
    position: relative;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_2.cur") 5 5, auto;
}

.menu-button img {
    height: 60%;
    width: auto;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    transition: .3s ease;
}

.menu-button.active img {
    top: 50%;
    transform: translate(-50%, -50%) rotate(180deg);
}

/* Portfolio intro section styles */

#portfolio_intro{
    display: grid;
    padding: 4%;
    margin-bottom: 20vh;
}

#upper_division{
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
    min-height: 500px;
}

#upper_division img{
    width: 100%;
    height: auto;
}

#upper_division_description h1{
    font-size: 7vw;
    width: 100%;
    margin-top: 5vh;
    margin-bottom: 10vh;
}

#upper_division_description h2{
    font-size: 3vw;
    width: 100%;
    margin-bottom: 10vh;
}

#lower_division{
    display: flex;
    flex-direction: column-reverse;
    justify-content: center;
    align-items: start;
    background-image: url(../Assets/Portfolio/moroquint_carpet50.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    height: 100vh;
    min-height: 800px;
}

#carpet_container{
    display: none;
}

#lower_division_description{
    width: 100%;
    text-align: center;
}

#lower_division_description h1{
    font-size: 7vw;
    width: 100%;
    margin-top: 5vh;
    margin-bottom: 10vh;
    font-weight: 500;
}

#lower_division_description h2{
    font-size: 3.5vw;
    width: 100%;
    margin-bottom: 10vh;
    font-weight: 500;
}


/* Portfolio menu section styles */

#menu_title{
    margin-inline: 0px;
    width: 80%;
    justify-self: center;
}

#menu_title h2{
    font-size: 2vw;
}

#menu_title h1{
    width: 100%;
    font-size: 4vw;
}

#table_slider_item h1{
    font-size: 2.7vw;
}

#menu_body_row{
    height: 60px;
    grid-template-columns: 2fr 5fr 2fr;
}

#row_cell1{
    padding-left: 2vw;
}

#row_cell1 h1{
    font-size: 1.8vw;
    font-weight: 300;
}

#row_cell2{
    padding-left: 2vw;
}

#row_cell2 h2{
    font-size: 1.8vw;
}

#row_cell3 img{
    width: 80%;
}

#row_cell1_p{
    padding-left: 2vw;
}

#row_cell1_p h1{
    font-size: 1.8vw;
    font-weight: 300;
}

#row_cell2_p{
    padding-left: 2vw;
}

#row_cell2_p h2{
    font-size: 1.8vw;
}

/* Portfolio footer section styles */

#Portfolio_footer{
    height: 70vh;
    margin-bottom: 10vw;
    margin-top: 15vw;
    padding-bottom: 5rem;
    background-size: contain;
    display: flex;
    justify-content: center;
    align-items: center;
}

 #portfolio_cta_container{
    padding: 2vw;
    width: 80vw;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
 }

 #portfolio_cta_container h1{
    font-size: 3vw;
 }

 #portfolio_cta_container a{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 2rem;
 }

 #portfolio_cta{
    font-size: 20px;
    width: 70vw;
    height: 50px;
 }

/* Footer section styles */

#Copyright_section{
    padding-inline: 2%;
}

#Copyright_text h1{
    font-size: 1.5vw;
}

#Copyright_text h2{
    color: #9370DB;
    font-size: 1.5vw;
}

#footer_logo img{
    height: 30px;
    margin-right: 1vw;
}

#footer_logo h1{
    font-size: 2VW;
    font-weight: 500;
}

}





/* Style for Screens under 500px width */

@media (max-width:500px) {

/* Hero section styles */

/* Navbar style */

.hidden-menu a{
    font-size: 7vw;
}

.hidden-menu.active a{
    font-size: 7vw;
}

body.menu-open{
    overflow: hidden;
}

/* Portfolio intro section styles */

#portfolio_intro{
    margin-bottom: 0vh;
}


#upper_division{
    height: 80vh;
}

#lower_division{
    height: 50vh;
}


/* Portfolio menu section styles */

#menu_title{
    width: 90%;
}

#menu_title h2{
    font-size: 3vw;
}

#menu_title h1{
    width: 100%;
    font-size: 5vw;
}

#table_slider{
    margin-top: 10vh;
    height: 30px;
}

#table_slider_item img{
    width: 20px;
    margin-right: 2%;
}

#menu_body_row{
    height: 60px;
    border-bottom: 1px #EBEBEB solid;
    display: grid;
    grid-template-columns: 1fr 1fr;
}

#row_cell1{
    padding: 0px;
}

#row_cell1 h1{
    font-size: 4vw;
    width: 100%;
    text-align: center;
}

#row_cell1_p{
    padding: 0px;
}

#row_cell1_p h1{
    font-size: 4vw;
    width: 100%;
    text-align: center;
}

#row_cell2{
    display: none;
}

#row_cell2_p{
    display: none;
}

#row_cell3 img{
    width: 100%;
}

/* Portfolio footer section styles */

#Portfolio_footer{
    height: 80vh;
    min-height: 550px;
    margin-bottom: 10vw;
    margin-top: 15vw;
    padding-bottom: 5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    background-image: none;
}

 #portfolio_cta_container{
    padding: 2vw;
    width: 80vw;
    height: 80%;
    min-height: 500px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    padding-top: 5%;
    padding-bottom: 5%;
}

#portfolio_cta_container h1{
    font-size:6vw;
    width: 90%;
}

#portfolio_cta_container a{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 2rem;
}

#portfolio_cta{
    font-size: 20px;
    width: 70vw;
    height: 50px;
 }


/* Footer section styles */

#footer_logo img{
    height: 20px;
}
}